Install Spotify under openSUSE Factory

We need some additional packages to get the job done.

This is the installation package for **alien

**A Perl Script to Convert Packages from one distro to another

Save next url to disk it is an installscript for YAST a so called one-click-installer


http://software.opensuse.org/ymp/home:KAMiKAZOW/openSUSE_Factory/alien.ymp?base=openSUSE%3AFactory&query=alien

You will have to download the Debian spotify client preview for linux for there are no other distro packages currently available.

But no worries we gonna transform this package to a RPM package with the help of alien and rpm-build.

http://repository.spotify.com/pool/non-free/s/spotify/spotify-client_0.9.11.27.g2b1a638.81-1_amd64.deb

Open up a console and go straight to the location of your downloaded .deb file.
Once there make yourself root .

As root type:

zypper in rpm-build

‚Äč

alien -r spotify-client_0.9.11.27.g2b1a638.81-1_amd64.deb

Install some dependencies for openssl

zypper in libxmlsec1-openssl-devel nss-compat-openssl-devel xmlsec1-openssl-devel libxmlsec1-openssl1

Now install spotify


****rpm -ivh spotify-client-0.9.11.27.g2b1a638.81-2.x86_64.rpm****

error: Failed dependencies:
libcrypto.so.1.0.0(OPENSSL_1.0.0)(64bit) is needed by spotify-client-0.9.11.27.g2b1a638.81-2.x86_64
libgcrypt.so.11()(64bit) is needed by spotify-client-0.9.11.27.g2b1a638.81-2.x86_64
libgcrypt.so.11(GCRYPT_1.2)(64bit) is needed by spotify-client-0.9.11.27.g2b1a638.81-2.x86_64
libssl.so.1.0.0(OPENSSL_1.0.0)(64bit) is needed by spotify-client-0.9.11.27.g2b1a638.81-2.x86_64

To avoid this problem install the rpm like this


****rpm -ivh spotify-client-0.9.11.27.g2b1a638.81-2.x86_64.rpm --nodeps****

Spotify now installs and after this you can start using it under the multimedia menu.


Please do not double post!

You now have two threads with the same title here in Multimedia and also in Applications.

And as I read it, it should have been in Pre-release/Beta.

But OTOH, this is no request for help or information. thus it should have gone to Unreviewed How to and FAQ!

I have CLOSED the other thread. Please tell here where you want this one to be moved.

Dear Henk,

Can you move the post to Pre-release and can you arrange for me that I can edit the post because I found some little aprovements.

Kind regards,